Jump to content
From ArchWiki

Polybar on tilapalkkien luomista varten kehitetty nopea ja helppokäyttöinen työkalu. Sen tarkoitus on olla helposti muokattava, käyttäen monia moduleita, jotka aktivoivat suuren määrän (muokattavaa) toiminnallisuutta, kuten työtilojen/työpöytien näyttäminen, päivämäärä tai järjestelmän äänentaso. Polybar on tehty erityisesti ikkunoinninhallintajärjestelmiä varten, joilla on hyvin rajallinen tai olematon tilapalkki, kuten awesome tai i3. Polybar sopii myös Työpöytäympäristöjen kanssa kuten esimerkiksi Plasma.

## Asennus

Asenna polybar paketti. Kehitysversio on polybar-gitAUR.

## Konfiguraatio

Kopioi konfiguraatio esimerkki `/usr/share/doc/polybar/config` polkuun `$XDG_CONFIG_HOME/polybar/config`.

### Polybarin suorittaminen

Polybaria voidaan suorittaa seuraavilla argumenteilla:

    Usage: polybar [OPTION]... BAR

      -h, --help               Display this help and exit
      -v, --version            Display build details and exit
      -l, --log=LEVEL          Set the logging verbosity (default: WARNING)
                               LEVEL is one of: error, warning, info, trace
      -q, --quiet              Be quiet (will override -l)
      -c, --config=FILE        Path to the configuration file
      -r, --reload             Reload when the configuration has been modified
      -d, --dump=PARAM         Print value of PARAM in bar section and exit
      -m, --list-monitors      Print list of available monitors and exit
      -w, --print-wmname       Print the generated WM_NAME and exit
      -s, --stdout             Output data to stdout instead of drawing it to the X window
      -p, --png=FILE           Save png snapshot to FILE after running for 3 seconds

Haluat ehkä kumminkin suorittaa Polybarin oman järjestelmäsi esilatausohjelmana. Katso #Järjestelmän kanssa suorittaminen.

### Otos asetustiedosto

Perus polybar konfiguraatio voisi näyttää tältä:

    [bar/mybar]
    modules-right = date

    [module/date]
    type = internal/date
    date = %Y-%m-%d%

Tässä määritetään palkki nimeltä `mybar` modulin `date` kanssa.

Oletukselta polybar asentaa myös otos asetustiedoston monilla valmiiksi asetetuilla moduleilla `/usr/share/doc/polybar/config`.

Huomautus: Otos asetustiedostoa ei ole tehty toimimaan suoraan asennuksesta. Sitä tulee muokata ennenkuin se sopii omien asetustesi kanssa.

### Järjestelmän kanssa suorittaminen

Luo suoritettava tiedosto, joka sisältää lyhyen käynnistys skriptin, kuten esimerkiksi `$HOME/.config/polybar/launch.sh`:

    #!/bin/bash

    # Tapa kaikki aiemmat polybar sessiot
    killall -q polybar
    # Jos kaikilla paneeleilla on ipc aktivoituna, voit myös käyttää
    # polybar-msg cmd quit

    # Aloita Polybar, käytetään oletus sijaintia ~/.config/polybar/config
    polybar mybar 2>&1 | tee -a /tmp/polybar.log & disown

    echo "Polybar käynnistetty..."

Tällä skriptillä myös varmistuu se, että Polybar käynnistetään uudelleen, kun ikkunointia käynnistetään uudelleen.

#### bspwm

Jos käytössä on bspwm, lisää seuraava tiedostoon `bspwmrc`:

    $HOME/.config/polybar/launch.sh

#### i3

Jos käytössä on i3, lisää seuraava i3 konfiguraatiotiedostoon:

    exec_always --no-startup-id $HOME/.config/polybar/launch.sh

## Vianmääritys

### Ei pysty avaamaan jaettua tiedostoa libjsoncpp.so

Yritä tehdä asennus uudestaan kuten kuvattuna tässä GitHub ongelmassa.

Jos tämä ei toimi, yritä asentaa jsoncpp paketti.

## Katso myös

- Polybar Github Wiki

Category:

- Eye candy (Suomi)